org.keycloak.models

## Class ModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.models.ModelException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ModelDuplicateException, PasswordPolicyConfigException, PasswordPolicyNotMetException

      public class ModelException
      extends RuntimeException

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelException()`
    `ModelException(String message)`
    `ModelException(String message, Object... parameters)`
    `ModelException(String message, Throwable cause)`
    `ModelException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getParameters()`
    `void` | `setParameters(Object[] parameters)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelException

          public ModelException()

    - #### ModelException

          public ModelException(String message)

    - #### ModelException

          public ModelException(String message,
                                Object... parameters)

    - #### ModelException

          public ModelException(String message,
                                Throwable cause)

    - #### ModelException

          public ModelException(Throwable cause)

  - ### Method Detail

    - #### getParameters

          public Object[] getParameters()

    - #### setParameters

          public void setParameters(Object[] parameters)

Copyright © 2021 JBoss by Red Hat. All rights reserved.